%define section free
%if "%{?rhel}" == "6"
%define _jarsign_opts --unsign=%{_javadir}
%endif

%global reltag _redhat_1
%global meadversion %{version}.Final_redhat_1
%global mavenversion %{version}.Final-redhat-1

%global mavengroup org.jboss.osgi.resolver
%global artifact0 jbosgi-resolver-parent
%global artifact1 jbosgi-resolver-api
%global artifact2 jbosgi-resolver-felix
#%%global artifact3 jbosgi-resolver-metadata
%global artifact4 jbosgi-resolver-spi
#%%global artifact5 jbosgi-resolver-itests

%global title JBossOSGi Resolver

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 2.1.0.Final-redhat-1

Name:    jbosgi-resolver
Version: 2.1.0
Release: 1.Final%{reltag}%{?dist}
Epoch:   0

License: LGPL
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.osgi.resolver-jbosgi-resolver-parent-2.1.0.Final-redhat-1-sources.zip
Source101: org.jboss.osgi.resolver-jbosgi-resolver-parent-2.1.0.Final-redhat-1-patches.zip
Source102: jbosgi-resolver-api-2.1.0.Final-redhat-1-javadoc.jar
Source103: jbosgi-resolver-api-2.1.0.Final-redhat-1.jar
Source104: jbosgi-resolver-api-2.1.0.Final-redhat-1.pom
Source105: jbosgi-resolver-api-2.1.0.Final-redhat-1-sources.jar
Source106: jbosgi-resolver-felix-2.1.0.Final-redhat-1-sources.jar
Source107: jbosgi-resolver-felix-2.1.0.Final-redhat-1.jar
Source108: jbosgi-resolver-felix-2.1.0.Final-redhat-1.pom
Source109: jbosgi-resolver-felix-2.1.0.Final-redhat-1-javadoc.jar
Source110: jbosgi-resolver-parent-2.1.0.Final-redhat-1.pom
%endif

URL:     http://community.jboss.org/wiki/JBossOSGi

BuildRequires: unzip

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
A standalone OSGi Resolver.

%if %without mead
%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%package sources
Summary:  Sources of %{title}
Group:    Development/Libraries/Java

Requires: jpackage-utils

%description sources
Sources of %{title}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact1}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact1}-%{mavenversion}.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact1}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact1}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact1}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact1}-%{mavenversion}-sources.jar

%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact2}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact2}-%{mavenversion}.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact2}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact2}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact2}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact2}-%{mavenversion}-sources.jar

#%%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact3}-%{mavenversion}.jar %{buildroot}{_javadir}/%{artifact3}-%{mavenversion}.jar
#%%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact3}-%{mavenversion}-javadoc.jar %{buildroot}{_javadir}/%{artifact3}-%{mavenversion}-javadoc.jar
#%%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact3}-%{mavenversion}-sources.jar %{buildroot}{_javadir}/%{artifact3}-%{mavenversion}-sources.jar

#%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact4}-%{mavenversion}.jar %{buildroot}{_javadir}/%{artifact4}-%{mavenversion}.jar
#%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact4}-%{mavenversion}-javadoc.jar %{buildroot}{_javadir}/%{artifact4}-%{mavenversion}-javadoc.jar
#%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact4}-%{mavenversion}-sources.jar %{buildroot}{_javadir}/%{artifact4}-%{mavenversion}-sources.jar

#%%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact5}-%{mavenversion}.jar %{buildroot}{_javadir}/%{artifact5}-%{mavenversion}.jar
%else
%{__cp} -p %{_sourcedir}/%{artifact1}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact1}-%{mavenversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact1}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact1}-%{mavenversion}-sources.jar

%{__cp} -p %{_sourcedir}/%{artifact2}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact2}-%{mavenversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact2}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact2}-%{mavenversion}-sources.jar
#%%{__cp} -p %{_sourcedir}/%{artifact3}-%{mavenversion}.jar %{buildroot}{_javadir}/%{artifact3}-%{mavenversion}.jar
#%{__cp} -p %{_sourcedir}/%{artifact4}-%{mavenversion}.jar %{buildroot}{_javadir}/%{artifact4}-%{mavenversion}.jar
#%%{__cp} -p %{_sourcedir}/%{artifact5}-%{mavenversion}.jar %{buildroot}{_javadir}/%{artifact5}-%{mavenversion}.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact1}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact2}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact2}.pom
#%%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact3}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact3}.pom
#%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact4}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact4}.pom
#%%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact5}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact5}.pom
%else
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_sourcedir}/%{artifact1}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom
%{__cp} -p %{_sourcedir}/%{artifact2}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact2}.pom
#%%{__cp} -p %{_sourcedir}/%{artifact3}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact3}.pom
#%{__cp} -p %{_sourcedir}/%{artifact4}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact4}.pom
#%%{__cp} -p %{_sourcedir}/%{artifact5}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact5}.pom
%endif

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{mavenversion} JPP %{artifact1}
%add_to_maven_depmap %{mavengroup} %{artifact2} %{mavenversion} JPP %{artifact2}
#%%add_to_maven_depmap %{mavengroup} %{artifact3} %{mavenversion} JPP/%{name} %{artifact3}
#%add_to_maven_depmap %{mavengroup} %{artifact4} %{mavenversion} JPP/%{name} %{artifact4}
#%%add_to_maven_depmap %{mavengroup} %{artifact5} %{mavenversion} JPP/%{name} %{artifact5}

# javadoc
%if %without mead
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact1}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact2}
%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact2}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact2}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact2}/META-INF

#%%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact3}
#%%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact3}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact3}
#%%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact3}/META-INF

#%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact4}
#%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact4}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact4}
#%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/%{artifact4}/META-INF

%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/*.jar
%if %without mead
%exclude %{_javadir}*/*-javadoc.jar
%exclude %{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%endif
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%if %without mead
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%files sources
%defattr(-,root,root,-)
%dir %{_javadir}*/
%{_javadir}*/*-sources.jar
%exclude %{_javadocdir}
%{_mavenpomdir}/*
%endif

%changelog
* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:2.1.0-1.Final_redhat_1
- Upgrade to 2.1.0.Final

* Thu Mar 29 2012 Lin Gao <lgao@redhat.com> - 0:2.0.0-1.Beta5_redhat_1
- Upgrade to 2.0.0.Beta5
- Change jars install path

* Mon Mar 05 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.13-1_redhat_1.1
- Upgrade to 1.0.13.Final
- resolver-metadata removed, now jbosgi-metadata package

* Wed Feb 22 2012 Lin Gao <lgao@redhat.com> - 0:1.0.11-1_redhat_1.1
- Upgrade to 1.0.11
- Add vman patche

* Fri Feb 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.10-1_redhat_1.2
- Rebuild

* Thu Nov 03 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.10-1_redhat_1
- Upgrade to 1.0.10

* Wed Sep 14 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.9-1_redhat_1
- Build for Werewolf
